LÖVE 0.9.1 released

General discussion about LÖVE, Lua, game development, puns, and unicorns.
User avatar
slime
Solid Snayke
Posts: 2770
Joined: Mon Aug 23, 2010 6:45 am
Location: Nova Scotia, Canada
Contact:

Re: LÖVE 0.9.1 released

Post by slime » Sat Jul 12, 2014 11:17 pm

osuf oboys wrote:However, it is no longer possible to 'require "bit"' (works fine in lua) - would it be possible to add back this library?
There is no bit operations library in Lua 5.1 (which LÖVE used to use until 0.9). LuaJIT (which LÖVE uses by default in 0.9.0 and 0.9.1) includes a bit library which you can use like so:

Code: Select all

local bit = require("bit")
osuf oboys wrote:Also, are there plans to give access to a depth buffer or similar? It would significantly improve rendering performance in some fairly common cases such as basically any dynamic 2.5D game.
I'm not sure - using the native depth buffer actually doesn't work very well at all with most 2D games, because it only cares about geometry and not transparency (so it tests or writes the full rectangle of any image you draw, even if most of it is transparent.)
Alpha blending also requires blended objects to be drawn in back-to-front order otherwise the blending will be incorrect.

User avatar
Davidobot
Party member
Posts: 1144
Joined: Sat Mar 31, 2012 5:18 am
Location: Game-Dev. Land
Contact:

Re: LÖVE 0.9.1 released

Post by Davidobot » Thu Aug 21, 2014 10:20 am

slime wrote:Can you double-check that 0.9.0 works as expected on the same system (download here: 32 bit / 64 bit), and if so try replacing the SDL2.dll in 0.9.1 with the one from 0.9.0 and see if that makes a difference.

Does it happen with any LÖVE game (including the no-game screen), or just your own project? If you go fullscreen, does it still happen?
I can confirm that on Windows 8.1 switching over from the 0.9.1 SDL2.dll to the 0.9.0 SDL2.dll grants an immense FPS improvement (3 times more) on all love projects and not just mine.
My library:
LovelyMoon

Check out my current project:
Raycaster

Oh hey, I have a website now!

User avatar
Gold_Car
Prole
Posts: 24
Joined: Thu Jan 01, 2015 2:07 am

Re: LÖVE 0.9.1 released

Post by Gold_Car » Thu Jan 01, 2015 2:23 am

slime wrote:
osuf oboys wrote:However, it is no longer possible to 'require "bit"' (works fine in lua) - would it be possible to add back this library?
There is no bit operations library in Lua 5.1 (which LÖVE used to use until 0.9). LuaJIT (which LÖVE uses by default in 0.9.0 and 0.9.1) includes a bit library which you can use like so:

Code: Select all

local bit = require("bit")
I've been trying to use the require() thingy for quite some time now and haven't made any progress. But I need it - or something equivalent to it - to finish a small project that I've been trying to figure out (I.E. following Goature's tutorial). Should I just downgrade my LOVE?

User avatar
Robin
The Omniscient
Posts: 6506
Joined: Fri Feb 20, 2009 4:29 pm
Location: The Netherlands
Contact:

Re: LÖVE 0.9.1 released

Post by Robin » Thu Jan 01, 2015 1:37 pm

Gold_Car wrote:I've been trying to use the require() thingy for quite some time now and haven't made any progress. But I need it - or something equivalent to it - to finish a small project that I've been trying to figure out (I.E. following Goature's tutorial). Should I just downgrade my LOVE?
You could try uploading a .love of your game so we can take a look at it.
Help us help you: attach a .love.

User avatar
Gold_Car
Prole
Posts: 24
Joined: Thu Jan 01, 2015 2:07 am

Re: LÖVE 0.9.1 released

Post by Gold_Car » Thu Jan 01, 2015 9:09 pm

Robin wrote:You could try uploading a .love of your game so we can take a look at it.
How do I turn my files into .love?

User avatar
Robin
The Omniscient
Posts: 6506
Joined: Fri Feb 20, 2009 4:29 pm
Location: The Netherlands
Contact:

Re: LÖVE 0.9.1 released

Post by Robin » Thu Jan 01, 2015 9:13 pm

Put them in a .zip, and then rename the .zip to .love, as seen on the wiki page [wiki]Game_Distribution[/wiki]. If you prefer, you could just upload a zip file of your game, it's just more convenient for us if it's a .love.
Help us help you: attach a .love.

User avatar
Gold_Car
Prole
Posts: 24
Joined: Thu Jan 01, 2015 2:07 am

Re: LÖVE 0.9.1 released

Post by Gold_Car » Thu Jan 01, 2015 11:48 pm

Will do.

User avatar
Gold_Car
Prole
Posts: 24
Joined: Thu Jan 01, 2015 2:07 am

Re: LÖVE 0.9.1 released

Post by Gold_Car » Sat Jan 03, 2015 9:54 pm

Alright, here's what I've got. I'm trying to make the entities.lua load with the main.lua, and I get that cheeky old bluescreen.
Attachments
First Game to Crash.love
(10.2 KiB) Downloaded 69 times

User avatar
Robin
The Omniscient
Posts: 6506
Joined: Fri Feb 20, 2009 4:29 pm
Location: The Netherlands
Contact:

Re: LÖVE 0.9.1 released

Post by Robin » Sat Jan 03, 2015 10:53 pm

Replace

Code: Select all

require "entities.lua"
with

Code: Select all

require "entities"
The string that is passed to require is a module name, not a file name. A module called "foo.bar" can generally be found in "foo/bar.lua" or "foo/bar/init.lua", so your code is looking for "entities/lua.lua" and "entities/lua/init.lua" etc.
Help us help you: attach a .love.

User avatar
Gold_Car
Prole
Posts: 24
Joined: Thu Jan 01, 2015 2:07 am

Re: LÖVE 0.9.1 released

Post by Gold_Car » Sun Jan 04, 2015 12:33 am

Thanks! It works now.

Post Reply

Who is online

Users browsing this forum: No registered users and 7 guests